#!/bin/sh

if [ "512" = "$4" ]; then TINI_SIZE=512
elif [ "1024" = "$4" ]; then TINI_SIZE=1024
else TINI_SIZE=
fi

ftp -n $1 <<!
user $2 $3
mkdir /bin
bin
put tini/bin/TiniHttpServer${TINI_SIZE}.tini /bin/TiniHttpServer.tini
asc
put tini/bin/TiniHttpServer /bin/TiniHttpServer
mkdir /logs
mkdir /docs
put tini/etc/mime.props /etc/mime.props
put tini/etc/server.props /etc/server.props
put tini/etc/servlets.props /etc/servlets.props
put tini/docs/index.html /docs/index.html
put tini/docs/robots.txt /docs/robots.txt
bin
put tini/docs/favicon.ico /docs/favicon.ico
close
quit
!
